package com.mortals.xhx.busiz.notify.config;

import lombok.*;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Getter
@Setter
@ToString
@AllArgsConstructor
@NoArgsConstructor
@Configuration
@ConfigurationProperties(prefix = "coops.sms")
public class SmsConfiguration {
    /**
     * 是否启用
     */
    private boolean enable;
    /**
     * 签名
     */
    private String sign;
    /**
     * 阿里云短信参数
     */
    private Aliyun aliyun;
    /**
     * 短信模板
     */
    private List<Map<String, String>> template = new ArrayList<>();

    @Data
    public static class Aliyun {
        private String regionId;
        private String accessKeyId;
        private String accessKeySecret;
    }

}
