package com.mortals.xhx.busiz.web;

import com.alibaba.fastjson.JSONObject;

import com.mortals.xhx.busiz.notify.SmsResult;
import com.mortals.xhx.busiz.notify.SmsSender;
import com.mortals.xhx.common.code.YesNoEnum;
import com.mortals.xhx.common.pdu.api.ApiReqPdu;
import com.mortals.xhx.common.pdu.api.ApiRespPdu;
import com.mortals.xhx.common.pdu.sms.SmsSendReq;
import com.mortals.xhx.common.pdu.sms.SmsSendResp;
import lombok.extern.apachecommons.CommonsLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 短信相关接口
 *
 * @Author:
 */
@RestController
@CommonsLog
public class SmsApiController {

    @Autowired
    private SmsSender smsSender;
    /**
     * 发送短信
     *
     * @param:
     * @return:
     * @Author: zxfei
     */
    @PostMapping("sms/send")
    public String smsSend(@RequestBody ApiReqPdu<SmsSendReq> req) {
        log.info("收到【短信发送】请求【请求体】-->  " + JSONObject.toJSONString(req));
        ApiRespPdu<SmsSendResp> rsp = new ApiRespPdu<>();
        rsp.setCode(YesNoEnum.NO.getValue());
        rsp.setMsg(YesNoEnum.NO.getDesc());

        try {
            //
            SmsResult smsResult = smsSender.sendWithTemplate(req.getTransmission().getMobile(), req.getTransmission().getTempleteId(), req.getTransmission().getParams());
            if(smsResult.isSuccessful()){
                rsp.setCode(YesNoEnum.YES.getValue());
            }
            rsp.setMsg(smsResult.getResult());
        } catch (Exception e) {
            log.error("异常：", e);
            rsp.setCode(YesNoEnum.NO.getValue());
            rsp.setMsg(e.getMessage());
            return JSONObject.toJSONString(rsp);
        }
        log.info("响应【短信发送】【响应体】-->  " + JSONObject.toJSONString(rsp));
        return JSONObject.toJSONString(rsp);
    }


}
